Subject: Re: bug#1708: 23.0.60; g_main_context_prepare() called recursively

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 27 Dec 2008 09:18:09 -0800 (PST)

Markus Triska <[email-masked]> writes:

  > From OSX 10.4, I log in via ssh to a remote machine R running Ubuntu
  > jaunty, and there do:
  > 
  >    $ emacs -nw -Q -f server-start
  > 
  > In another terminal in OSX, I again ssh to R, and there do:
  > 
  >    $ emacsclient -c
  > 
  > As expected, I get an X frame on the local machine (OSX). Now I close
  > the terminal in which I started the remote emacsclient, thus killing
  > the client. The remote server at this point shows the message:
  > 
  >    server: Connection lost to X server `localhost:11.0'
  > 
  > Now I again ssh to R, and again do there:
  > 
  >    $ emacsclient -c
  > 
  > Now, only a blank frame shows up, and the remote server repeatedly
  > shows the following message:
  > 
  >  (emacs:11624): GLib-WARNING **: g_main_context_prepare() called
  >    recursively from within a source's check() or prepare() member.
  > 
  > Information about Emacs on the remote machine R:
  > 
  >    In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.14.5)
  >     of 2008-12-24 on R

Can you reproduce this when configuring without GTK+?
If not, this and your other disconnect bug are probably just instances
of the same very old Gtk+ bug: http://bugzilla.gnome.org/show_bug.cgi?id=85715.
Gtk+ does deal well with disconnecting...